
Auto Multiple Choice - Bug # 618: compilation 1.4.0 archlinux (dblatex issue)

Status: Closed Priority: Normal
Author: Benoit Landrieu Category: Installation
Created: 12/31/2018 Assignee: Alexis Bienvenüe
Updated: 02/08/2021 Due date:
Description: Hello Alexis,

I hope the holdiays gone well ;)

I have some issues to compile the new 1.4.0 version 
(https://gitlab.com/jojo_boulix/auto-multiple-choice/tree/1.4.0) with dblatex...

<pre>
make auto-multiple-choice auto-multiple-choice.desktop AMC-gui-apropos.glade AMC-gui.pl 
AMC-latex-link.pl AMC-perl/AMC/Basic.pm doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.ja.xsl 
doc/doc-xhtml-site.en.xsl doc/amcdocstyle.sty doc/doc-xhtml.xsl doc/auto-multiple-choice.en.xml 
doc/auto-multiple-choice.fr.xml doc/auto-multiple-choice.ja.xml doc/sty/automultiplechoice.dtx
make[1]: Entering directory '/home/ben/arch/auto-multiple-choice'
make[1]: 'auto-multiple-choice' is up to date.
make[1]: 'auto-multiple-choice.desktop' is up to date.
make[1]: 'AMC-gui-apropos.glade' is up to date.
make[1]: 'AMC-gui.pl' is up to date.
make[1]: 'AMC-latex-link.pl' is up to date.
make[1]: 'AMC-perl/AMC/Basic.pm' is up to date.
make[1]: 'doc/doc-xhtml-site.fr.xsl' is up to date.
make[1]: 'doc/doc-xhtml-site.ja.xsl' is up to date.
make[1]: 'doc/doc-xhtml-site.en.xsl' is up to date.
make[1]: 'doc/amcdocstyle.sty' is up to date.
make[1]: 'doc/doc-xhtml.xsl' is up to date.
make[1]: 'doc/auto-multiple-choice.en.xml' is up to date.
make[1]: 'doc/auto-multiple-choice.fr.xml' is up to date.
make[1]: 'doc/auto-multiple-choice.ja.xml' is up to date.
make[1]: 'doc/sty/automultiplechoice.dtx' is up to date.
make[1]: Leaving directory '/home/ben/arch/auto-multiple-choice'
make AMC-detect AMC-buildpdf AMC-pdfformfields icons/auto-multiple-choice.xpm 
icons/auto-multiple-choice.svgz doc I18N
make[1]: Entering directory '/home/ben/arch/auto-multiple-choice'
make[1]: 'AMC-detect' is up to date.
make[1]: 'AMC-buildpdf' is up to date.
make[1]: 'AMC-pdfformfields' is up to date.
rsvg-convert -w 32 -h 32 icons/auto-multiple-choice.svg -o icons/auto-multiple-choice.png
pngtopnm icons/auto-multiple-choice.png | ppmtoxpm > icons/auto-multiple-choice.xpm
ppmtoxpm: (Computing colormap...
ppmtoxpm: ...Done.  41 colors found.)
gzip -k -S z icons/auto-multiple-choice.svg
rsvg-convert -a -w 16 -h 16 icons/auto-multiple-choice.svg -o icons/auto-multiple-choice-16.png ;  
rsvg-convert -a -w 22 -h 22 icons/auto-multiple-choice.svg -o icons/auto-multiple-choice-22.png ;  
rsvg-convert -a -w 24 -h 24 icons/auto-multiple-choice.svg -o icons/auto-multiple-choice-24.png ;  
rsvg-convert -a -w 32 -h 32 icons/auto-multiple-choice.svg -o icons/auto-multiple-choice-32.png ;  
rsvg-convert -a -w 48 -h 48 icons/auto-multiple-choice.svg -o icons/auto-multiple-choice-48.png ;  
rsvg-convert -a -w 256 -h 256 icons/auto-multiple-choice.svg -o icons/auto-multiple-choice-256.png ;  
rsvg-convert -a -w 512 -h 512 icons/auto-multiple-choice.svg -o icons/auto-multiple-choice-512.png ;
make -C doc
make[2]: Entering directory '/home/ben/arch/auto-multiple-choice/doc'
dblatex -P latex.encoding=utf8 -b xetex -t tex -p custom.xsl --texstyle=amcdocstyle --xslt-opts="--nonet" 
--xslt-opts="--catalogs"  auto-multiple-choice.ja.xml -o auto-multiple-choice.ja.tex
Build the book set list...
Build the listings...
XSLT stylesheets DocBook - LaTeX 2e (0.3.10)
===================================================
Image '\emph{\small{ͰhͰtwidth=3cmͱtͱh' not found
Image 'tiger' not found
'auto-multiple-choice.ja.tex' successfully built
rsvg-convert -f pdf img_src/warning.svg -o img_pdf/warning.pdf
Environment variable $SOURCE_DATE_EPOCH: No digits were found: 
make[2]: *** [Makefile:55: img_pdf/warning.pdf] Error 1
rm img_pdf/warning.pdf auto-multiple-choice.ja.tex
make[2]: Leaving directory '/home/ben/arch/auto-multiple-choice/doc'
make[1]: *** [Makefile:161: doc] Error 2
rm icons/auto-multiple-choice.png
make[1]: Leaving directory '/home/ben/arch/auto-multiple-choice'
make: *** [Makefile:114: all] Error 2
</pre>

I know a person who can add in community package of archlinux when it will be stable.

Hope you can find some time to help me again...

Benoit

History
12/31/2018 10:19 am - Alexis Bienvenüe
- Status changed from New to Feedback

Can you try to build from a precompiled archive?
https://download.auto-multiple-choice.net/auto-multiple-choice_1.4.0_precomp.tar.gz or
https://gitlab.com/jojo_boulix/auto-multiple-choice/tags

01/01/2019 04:14 pm - Benoit Landrieu
Alexis Bienvenüe wrote:
> Can you try to build from a precompiled archive?
> https://download.auto-multiple-choice.net/auto-multiple-choice_1.4.0_precomp.tar.gz or
> https://gitlab.com/jojo_boulix/auto-multiple-choice/tags

Hello Alexis,

Happy new year !

In fact I know this solution but I want to integrated into AUR and make all_precomb works but not make install

<pre>
install -d -m 0755 -o root -g root //usr/share/auto-multiple-choice/models/ar
install    -m 0644 -o root -g root doc/modeles/ar/*.tgz //usr/share/auto-multiple-choice/models/ar
install: cannot stat 'doc/modeles/ar/*.tgz': No such file or directory
make: [Makefile:219: install_models_ar] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/ar/*.xml //usr/share/auto-multiple-choice/models/ar
install -d -m 0755 -o root -g root //usr/share/auto-multiple-choice/models/en
install    -m 0644 -o root -g root doc/modeles/en/*.tgz //usr/share/auto-multiple-choice/models/en
install: cannot stat 'doc/modeles/en/*.tgz': No such file or directory
make: [Makefile:219: install_models_en] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/en/*.xml //usr/share/auto-multiple-choice/models/en
install -d -m 0755 -o root -g root //usr/share/auto-multiple-choice/models/fr
install    -m 0644 -o root -g root doc/modeles/fr/*.tgz //usr/share/auto-multiple-choice/models/fr
install: cannot stat 'doc/modeles/fr/*.tgz': No such file or directory
make: [Makefile:219: install_models_fr] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/fr/*.xml //usr/share/auto-multiple-choice/models/fr
install -d -m 0755 -o root -g root //usr/share/auto-multiple-choice/models/ja
install    -m 0644 -o root -g root doc/modeles/ja/*.tgz //usr/share/auto-multiple-choice/models/ja
install: cannot stat 'doc/modeles/ja/*.tgz': No such file or directory
make: [Makefile:219: install_models_ja] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/ja/*.xml //usr/share/auto-multiple-choice/models/ja
install -d -m 0755 -o root -g root //usr/share/mime/packages
install    -m 0644 -o root -g root interfaces/auto-multiple-choice.xml //usr/share/mime/packages
install -d -m 0755 -o root -g root //usr/share/gtksourceview-3.0/language-specs
install    -m 0644 -o root -g root interfaces/amc-txt.lang //usr/share/gtksourceview-3.0/language-specs
install -d -m 0755 -o root -g root //usr/lib/AMC
install -d -m 0755 -o root -g root //usr/lib/AMC/perl
install -d -m 0755 -o root -g root //usr/lib/AMC/exec
install    -m 0755 -o root -g root AMC-*.pl //usr/lib/AMC/perl
install    -m 0755 -o root -g root AMC-detect AMC-buildpdf AMC-pdfformfields //usr/lib/AMC/exec
install    -m 0644 -o root -g root AMC-gui-apropos.glade AMC-gui-cleanup.glade AMC-gui-saisie_auto.glade AMC-gui-choix_pages_impression.glade 
AMC-gui-mailing.glade AMC-gui-unrecognized.glade AMC-gui-source_latex_choix_zip.glade AMC-gui-liste_dialog.glade AMC-gui-main_window.glade 
AMC-gui-overwritten.glade AMC-gui-choose_students.glade AMC-gui-source_latex_dialog.glade AMC-gui-edit_preferences.glade 
AMC-gui-choose-mode.glade AMC-gui-make_template.glade AMC-gui-choix_postcorrect.glade AMC-gui-choose_columns.glade 
AMC-gui-source_latex_modele.glade AMC-gui-filter_details.glade AMC-gui-choix_projet.glade AMC-gui-source_latex_choix.glade //usr/lib/AMC/perl
install -d -m 0755 -o root -g root //usr/share/texmf/tex/latex/AMC
install    -m 0644 -o root -g root doc/sty/automultiplechoice.sty //usr/share/texmf/tex/latex/AMC
install: cannot stat 'doc/sty/automultiplechoice.sty': No such file or directory
make: *** [Makefile:238: install_nodoc] Error 1
</pre>

01/01/2019 10:11 pm - Alexis Bienvenüe
The result of @make all_precomp@ from the precomp archive should be exactly the same as the result of @make all@ from the source archive, but 
with far less processings.
> install    -m 0644 -o root -g root doc/modeles/ar/*.tgz //usr/share/auto-multiple-choice/models/ar
> install: cannot stat 'doc/modeles/ar/*.tgz': No such file or directory
That looks strange: can you check that there are some _tgz_ files in @doc/modeles/ar@ (they are already in the precomp archive)?

01/01/2019 11:02 pm - Benoit Landrieu
https://www.archlinux.org/packages/community/x86_64/auto-multiple-choice/

02/08/2021 11:05 am - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
